(function() {
    $.index.open();

	// $.calendarView.add( createTableView() );
	$.calendarView.add( createTableView() );
}());

function createTableView() {
	const tableData = [];

	// 30 sections
	for (var i = 1; i <= 30; i++) {
		const section = Alloy.createController('monthView');
		section.monthTitle.text = `Month : ${i}`;

		// 7 vertical-rows
		for (var j = 1; j <= 7; j++) {
			const weekView = Alloy.createController('weekView');

			// 7 horizontal views
			for (var k = 1; k <= 7; k++) {
				const dayView = Alloy.createController('dayView');
				dayView.labelDay.text = `W${j}${k}`
				weekView.getView().add(dayView.getView());
			}

			section.calendarMonthRow.add(weekView.getView());
		}

		tableData.push(section.getView());
	}

	const table = Ti.UI.createTableView({ data: tableData });
	table.addEventListener('click', (e) => {
	    alert('** calendar-click = ' + e.source.id);
	});

	return table;
}
